## dsi-conf-nrpe 0.5

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# "based" on template Makefile for most debian packages version 0.20~rc1

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=squeeze
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
#CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
NRPED=/etc/nagios/nrpe.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif

# main
REPOSTARGETDIR=/srv/web/deb-ppa.calhariz.com/deb-ppa/

INCOMINGDIR=incoming-changes
REPOSHOST=root@deb-ppa.calhariz.com
REPOSTARGET=$(REPOSHOST):$(REPOSTARGETDIR)


# main
REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


#include /usr/share/quilt/quilt.make

unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


configure:unpack configure-up-stamp
configure-up-stamp:
	#gen-spatch dsi-conf-nrpe / /etc/dsi-conf-nrpe
	#mv spatch spatch-dsi-conf-nrpe
	touch configure-up-stamp


build:configure build-up-stamp 
build-up-stamp:
	touch build-up-stamp


install:build install-up-stamp
install-up-stamp:
	echo $*
	mkdir -p $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/debian
	mkdir -p $(DESTDIR)/$(SBINDIR)
	#mkdir -p $(DESTDIR)/$(USRSHAREBASE)/$(PACKNAME)
	mkdir -p $(DESTDIR)$(NRPED)
	tar cf - --exclude=.svn --exclude=CVS patches |  tar xf - -C $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/debian
	#cp changelog $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/debian
	#install -m 755 spatch-$(PACKNAME) $(DESTDIR)/$(USRSHAREBASE)/$(PACKNAME)/spatch
	cp update-$(PACKNAME) $(DESTDIR)/$(SBINDIR)/
	#cp $(PACKNAME).conf $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/
	cp nrpe.d/* $(DESTDIR)$(NRPED)
	touch install-up-stamp


clean:
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	#mkdir -p $(REPOSARCH)
	cp -ia ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSARCH)
	rsync -z -rlptSPH -v ../$(SOURCENAME)_$(VER)* ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSTARGET)/$(INCOMINGDIR)
	ssh $(REPOSHOST) "cd $(REPOSTARGETDIR) ; reprepro -V --delete include $(DIST) $(REPOSTARGETDIR)/$(INCOMINGDIR)/*_$(DEBVER)_*.changes"


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
dsi-conf-nrpe (0.5) squeeze; urgency=low

  * The configuration file /etc/dsi-conf-nrpe/dsi-conf-nrpe.conf is no
    longer supported, don't source it.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Wed, 07 Nov 2012 15:35:59 +0000

dsi-conf-nrpe (0.4) squeeze; urgency=low

  * Revert update-dsi-conf-nrpe, is needed to configure /etc/sudoers.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Tue, 06 Nov 2012 19:22:40 +0000

dsi-conf-nrpe (0.3) squeeze; urgency=low

  * nrpe.d/check_smart.cfg: Add commands for checking sata disks.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Fri, 02 Nov 2012 20:09:29 +0000

dsi-conf-nrpe (0.2) squeeze; urgency=low

  * Drop update-dsi-conf-nrpe.  The configuration using a dpatch system is
    replaced by the file /etc/nagios/nrpe.d/z00_allowed_hosts.cfg.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Fri, 02 Nov 2012 18:57:06 +0000

dsi-conf-nrpe (0.1) squeeze; urgency=low

  * Initial release. 

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 26 Oct 2012 18:34:22 +0100

=== debian/control ===
Source: dsi-conf-nrpe
Section: dsi
Priority: extra
Maintainer: Jose Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 7.0.50~), 
Standards-Version: 3.8.4
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/deb-template.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/deb-template.git;a=summary

Package: dsi-conf-nrpe
Architecture: all
Conflicts: tp-conf-srv (<= 0.73),
Depends: sudo, 
 ${shlibs:Depends}, ${misc:Depends}
Description: Configures the nrpe server for DSI
 Files and configurator for nagios-nrpe-server to be used at DSI.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.16~rc1

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
MDIST=lenny
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
CATEG=other_sources
REPOSTARGET=root@debian.tagus.ist.utl.pt:/var/www/debian/debian/dists/$(MDIST)/$(DIST)/$(SECTION)/
REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif



configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make configure
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install 


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


# Upload the packages and the distribution files into the rigth places
upload:	
	#mkdir -p $(REPOSARCH)
	cp ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSARCH)
	scp ../$(SOURCENAME)_$(VER)* ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSTARGET)


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(SOURCENAME)_$(VER).orig.tar.gz $(SOURCENAME)_$(VER).tar.gz
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes ; svn add $(SOURCENAME)_$(DEBVER)_*.build ; svn add $(SOURCENAME)_$(DEBVER).dsc ; svn add $(SOURCENAME)_$(DEBVER).diff.gz
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; svn ci -m "released v$(DEBVER)"
	svn copy -m "released v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/trunk/src/$(SOURCENAME) $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## dsi-conf-nrpe 0.9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# "based" on template Makefile for most debian packages version 0.20~rc1
+# Copyrigth: 2005-2014 Instituto Superior Técnico
+# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>
+
+# License: GPL2+ with OpenSSL exception
+
+
+# "based" on template Makefile for most debian packages version 0.24
 
 PACKNAME=$(shell dh_listpackages)
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
@@ -12,7 +18,7 @@
 else
 NATIVE=0
 endif
-MDIST=squeeze
+MDIST=wheezy
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
@@ -30,6 +36,7 @@
 MANDIR=/usr/share/man/man8
 LOGROTATEDIR=/etc/logrotate.d
 NRPED=/etc/nagios/nrpe.d
+SUDOERSD=/etc/sudoers.d
 ZIPFILE=file-2.0.0.zip
 ZIPDIR=file-2.0.0
 TARFILE=file-$(VER).tar.gz
@@ -41,17 +48,6 @@
 DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
 DISTFILES=$(DISTFILE)
 endif
-
-# main
-REPOSTARGETDIR=/srv/web/deb-ppa.calhariz.com/deb-ppa/
-
-INCOMINGDIR=incoming-changes
-REPOSHOST=root@deb-ppa.calhariz.com
-REPOSTARGET=$(REPOSHOST):$(REPOSTARGETDIR)
-
-
-# main
-REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)
 
 
 all:
@@ -78,9 +74,17 @@
 	touch configure-up-stamp
 
 
-build:configure build-up-stamp 
-build-up-stamp:
-	touch build-up-stamp
+build-arch: configure build-arch-up-stamp
+build-arch-up-stamp:
+	touch build-arch-up-stamp
+
+
+build-indep: configure build-indep-up-stamp
+build-indep-up-stamp:
+	touch build-indep-up-stamp
+
+
+build: build-arch build-indep
 
 
 install:build install-up-stamp
@@ -90,19 +94,21 @@
 	mkdir -p $(DESTDIR)/$(SBINDIR)
 	#mkdir -p $(DESTDIR)/$(USRSHAREBASE)/$(PACKNAME)
 	mkdir -p $(DESTDIR)$(NRPED)
+	mkdir -p $(DESTDIR)$(SUDOERSD)
 	tar cf - --exclude=.svn --exclude=CVS patches |  tar xf - -C $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/debian
 	#cp changelog $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/debian
 	#install -m 755 spatch-$(PACKNAME) $(DESTDIR)/$(USRSHAREBASE)/$(PACKNAME)/spatch
-	cp update-$(PACKNAME) $(DESTDIR)/$(SBINDIR)/
+	#cp update-$(PACKNAME) $(DESTDIR)/$(SBINDIR)/
 	#cp $(PACKNAME).conf $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/
 	cp nrpe.d/* $(DESTDIR)$(NRPED)
+	cp sudoers.d/* $(DESTDIR)$(SUDOERSD)
 	touch install-up-stamp
 
 
 clean:
 	find -name '*~' -exec rm {} \;
 	rm -rf $(ZIPDIR) untar build-dir
-	rm -f  configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp
+	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp
 
 
 # Create the files ready for distribution, need to be run in a dir
@@ -147,11 +153,7 @@
 
 # Upload the packages and the distribution files into the rigth places
 upload:	
-	#mkdir -p $(REPOSARCH)
-	cp -ia ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSARCH)
-	rsync -z -rlptSPH -v ../$(SOURCENAME)_$(VER)* ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSTARGET)/$(INCOMINGDIR)
-	ssh $(REPOSHOST) "cd $(REPOSTARGETDIR) ; reprepro -V --delete include $(DIST) $(REPOSTARGETDIR)/$(INCOMINGDIR)/*_$(DEBVER)_*.changes"
-
+	make -f ../upload upload
 
 # Make tags of the sources as documented by subversion
 tag:

=== debian/changelog ===
dsi-conf-nrpe (0.9) wheezy; urgency=low

  * nrpe.d/z00_allowed_hosts.cfg: add 193.136.132.129 to the list of
    authorized hosts.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 27 Feb 2014 14:14:24 +0000

dsi-conf-nrpe (0.8) wheezy; urgency=low

  * Add instructions about check_smartd to README.Debian.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 27 Feb 2014 14:12:06 +0000

dsi-conf-nrpe (0.7) wheezy; urgency=low

  * Add support for check_lsi_raid on nrpe side.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Wed, 26 Feb 2014 18:11:01 +0000

dsi-conf-nrpe (0.6) wheezy; urgency=low

  * Update Makefile to version 0.24.
  * Update debian/rules to version 0.24.
  * Update maintainer name.
  * Support for /etc/sudoers.d directory.
  * Add support for plugin check_lsi_raid.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 21 Feb 2014 14:58:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: dsi-conf-nrpe
 Section: dsi
 Priority: extra
-Maintainer: Jose Calhariz <jose.calhariz@ist.utl.pt>
+Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
 Build-Depends: debhelper (>= 7.0.50~), 
 Standards-Version: 3.8.4
-Homepage: <insert the upstream URL, if relevant>
+Homepage: http://blog.calhariz.com
 #Vcs-Git: git://git.debian.org/collab-maint/deb-template.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/deb-template.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -6,25 +6,41 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-#  "based" on template debian/rules for most debian packages version 0.16~rc1
+#  "based" on template debian/rules for most debian packages version 0.24
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+#For overriding debian/compat
+#export DH_COMPAT=7
 
 PACKAGE=$(shell dh_listpackages)
 
 # Variabels used by the Debian Maintainer exclusively for package
 # development.
+SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
 DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
 VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
-MDIST=lenny
+ifeq ($(DEBVER),$(VER))
+NATIVE=1
+else
+NATIVE=0
+endif
+MDIST=wheezy
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=non-free
 CATEG=my_sources
-CATEG=other_sources
-REPOSTARGET=root@debian.tagus.ist.utl.pt:/var/www/debian/debian/dists/$(MDIST)/$(DIST)/$(SECTION)/
-REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)
+#CATEG=other_sources
+ifeq ($(NATIVE),0)
+DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
+DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
+#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
+else
+DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
+DISTFILES=$(DISTFILE)
+endif
+
+
 
 
 CFLAGS = -Wall -g
@@ -36,13 +52,34 @@
 endif
 
 
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	make configure
-	touch configure-stamp
+	$(MAKE) configure
+	touch $@
+
+
+build-arch: build-arch-stamp
+build-arch-stamp: configure-stamp
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE) build-arch
+	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1
+
+	touch $@
+
+
+build-indep: build-indep-stamp
+build-indep-stamp: configure-stamp
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE) build-indep
+	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1
+
+	touch $@
 
 
 build: build-stamp
@@ -77,11 +114,13 @@
 
 
 # Build architecture-independent files here.
-binary-indep: build install
+#binary-indep: build-indep install
+binary-arch: build-arch install
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+#binary-arch: build-arch install
+binary-indep: build-indep install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
@@ -123,21 +162,34 @@
 
 
 # Upload the packages and the distribution files into the rigth places
-upload:	
-	#mkdir -p $(REPOSARCH)
-	cp ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSARCH)
-	scp ../$(SOURCENAME)_$(VER)* ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSTARGET)
+upload: 
+	make -f ../upload upload
 
 
 # Make tags of the sources as documented by subversion
 tag:
-	cd .. ; svn add $(SOURCENAME)_$(VER).orig.tar.gz $(SOURCENAME)_$(VER).tar.gz
-	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes ; svn add $(SOURCENAME)_$(DEBVER)_*.build ; svn add $(SOURCENAME)_$(DEBVER).dsc ; svn add $(SOURCENAME)_$(DEBVER).diff.gz
+	cd .. ; svn add $(DISTFILES) ;\
+		echo $(CURDIR)
+	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
+			$(SOURCENAME)_$(DEBVER)_*.build \
+			$(SOURCENAME)_$(DEBVER).dsc
 	cd .. ; svn add *_$(DEBVER)_*.deb
 	cd .. ; svn st ; echo "enter to continue" ; read enter
-	cd .. ; svn ci -m "released v$(DEBVER)"
-	svn copy -m "released v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/trunk/src/$(SOURCENAME) $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	debchange -i
+	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
+		$(DISTFILES) \
+		$(SOURCENAME)_$(DEBVER)_*.changes \
+		$(SOURCENAME)_$(DEBVER)_*.build \
+		$(SOURCENAME)_$(DEBVER).dsc \
+		*_$(DEBVER)_*.deb
+	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
+	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
+		$(DISTFILES) \
+		$(SOURCENAME)_$(DEBVER)_*.changes \
+		$(SOURCENAME)_$(DEBVER)_*.build \
+		$(SOURCENAME)_$(DEBVER).dsc \
+		*_$(DEBVER)_*.deb \
+		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
+	debchange -i "New release"
 
 
 binary: binary-indep binary-arch
